/emails/{emailId}/attachments/{attachmentId}Download an email attachment
Authentication
Bearer authentication is required for this operation.
Path parameters
emailIdrequiredstringEmail identifier.
attachmentIdrequiredstringAttachment identifier.
Request examples
curl --request GET 'https://api.au.boundry.dev/emails/string/attachments/string' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+200 response
Attachment bytes.
"binary attachment bytes"401 response
Invalid API key.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"attachmentId": "att_01j0example",
"emailId": "msg_01j0example"
}404 response
Requested resource was not found.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"attachmentId": "att_01j0example",
"emailId": "msg_01j0example"
}422 response
Request validation failed.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"attachmentId": "att_01j0example",
"emailId": "msg_01j0example"
}